<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
$ttl="Личный альбом";
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");
$nocache = rand(10000, 99999);
list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$kabinet = trim($banner[4]);


switch($ver)
{

////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";

$mss=mysql_fetch_array(mysql_query("select * from `chat_foto` where `id`='".intval(mysql_escape_string($_GET['id']))."';"));
$uid = mysql_escape_string(htmlspecialchars($_GET['uid']));

  if ($uid)
  {
  	$mss=mysql_query("select * from `chat_foto` where `iduser`='".$uid."';");

	while($rede=mysql_fetch_array($mss))
	{

     $dir='foto';
     $dirs=$rede['foto'];

      $type = explode(".", $dirs);

                                        if ($type[count($type) - 1]=='jpg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='jpeg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='gif')
                                        {
                                        $modelx = 'gif';
                                        }
                                        elseif ($type[count($type) - 1]=='png')
                                        {
                                        $modelx = 'png';
                                        }
   echo "<a href='/foto/".$rede['foto']."'><img src=\"/prew.php?act=".$modelx."&amp;img=".base64_encode("$dir/$dirs")."&amp;w=64&amp;h=64\" alt=\"scr...\"/></a><br />";
	echo "Описание: ".$rede['descr']."<br/>";
	echo "Добавленна ".date("d-m-Y (H:i)",$rede['time'])."<br/>";

     $qf = mysql_query("SELECT COUNT(`id`) FROM `chat_com` where `idfoto`='".$rede['id']."' ;");
     $alls = mysql_result($qf, 0);

     $result=mysql_query("SELECT sum(`ocenka`) FROM `chat_com` where `idfoto`='".$rede['id']."'");
     $row = mysql_fetch_array($result);
     $in_count = (int)$row[0];;


     $rat = $in_count / $alls;
     $rat = round($rat, 2);

    echo "Средний бал фото - ".$rat."<br/>";
    echo "<a href='/com.php?".SID."&amp;ver=wml&amp;id=".$rede['id']."'>Комментарии</a>(".$alls.")<br/>";
    }
  }
  else
  {
  print "Ошибка отсуцтвует пользовательский индентификатор!<br/>";
  }

echo "• <a href='/info.php?".SID."&amp;ver=wml&amp;uid=".$uid."&amp;act=inf'>Анкета</a><br/>";
echo "• <a href='/menu/wml'>Прихожая</a><br/>";
include('banners/kabinet');
echo"$wmlfoot";
echo "</p></card></wml>";

break;




////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");
//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `id` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
$mss=mysql_fetch_array(mysql_query("select * from `chat_foto` where `id`='".intval(mysql_escape_string($_GET['id']))."';"));


$uid = mysql_escape_string(htmlspecialchars($_GET['uid']));

  if ($uid)
  {
  	$mss=mysql_query("select * from `chat_foto` where `iduser`='".$uid."';");

	while($rede=mysql_fetch_array($mss))
	{
	echo "<div class=\"d1\">";

     $dir='foto';
     $dirs=$rede['foto'];

      $type = explode(".", $dirs);

                                        if ($type[count($type) - 1]=='jpg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='jpeg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='gif')
                                        {
                                        $modelx = 'gif';
                                        }
                                        elseif ($type[count($type) - 1]=='png')
                                        {
                                        $modelx = 'png';
                                        }

    echo "<a href='/foto/".$rede['foto']."'><img src=\"/prew.php?act=".$modelx."&amp;img=".base64_encode("$dir/$dirs")."&amp;w=64&amp;h=64\" alt=\"scr...\"/></a><br />";
	echo "Описание: ".$rede['descr']."<br/>";
	echo "Добавленна ".date("d-m-Y (H:i)",$rede['time'])."<br/>";

     $qf = mysql_query("SELECT COUNT(`id`) FROM `chat_com` where `idfoto`='".$rede['id']."' ;");
     $alls = mysql_result($qf, 0);

     $result=mysql_query("SELECT sum(`ocenka`) FROM `chat_com` where `idfoto`='".$rede['id']."'");
     $row = mysql_fetch_array($result);
     $in_count = (int)$row[0];;


     $rat = $in_count / $alls;
     $rat = round($rat, 2);

    echo "Средний бал фото - ".$rat."<br/>";
    echo "<a href='/com.php?".SID."&amp;ver=html&amp;id=".$rede['id']."'>Комментарии</a>(".$alls.")<br/>";
	echo "</div>";
    }
  }
  else
  {
  print "Ошибка отсуцтвует пользовательский индентификатор!<br/>";
  }


echo "• <a href='/info.php?".SID."&amp;ver=html&amp;uid=".$uid."&amp;act=inf'>Анкета</a><br/>";
echo "• <a href='/menu/html'>Прихожая</a><br/>";

include('banners/kabinet');
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
break;
}

?>